CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
cppcms::util::const_char_istream Class Reference

`#include <cppcms/steal_buf.h>`

Inheritance diagram for cppcms::util::const_char_istream:

## Public Member Functions
| const_char_istream ()
| const_char_istream (char const *begin, char const *end)
char const * | begin () const
char const * | end () const
void | range (char const *begin, char const *end)

## Detailed Description

Simple std::istream implementation for range of [char const *,char const *)

New in CppCMS 1.2

## Constructor & Destructor Documentation

cppcms::util::const_char_istream::const_char_istream | ( |  | ) |
| inline

Create new empty stream

cppcms::util::const_char_istream::const_char_istream | ( | char const * | begin,
|  | char const * | end
| ) |  |
| inline

Create stream initialized with range [begin,end)

## Member Function Documentation

char const* cppcms::util::const_char_istream::begin | ( |  | ) | const
| inline

Get begin of the range

Referenced by cppcms::parse_url_parameter().

char const* cppcms::util::const_char_istream::end | ( |  | ) | const
| inline

Get end of the range

Referenced by cppcms::parse_url_parameter().

void cppcms::util::const_char_istream::range | ( | char const * | begin,
|  | char const * | end
| ) |  |
| inline

Set range, resets pointer to start and clears flags

Referenced by cppcms::url_dispatcher::assign().

The documentation for this class was generated from the following file:

- cppcms/steal_buf.h